package com.hdkj.lt.job.task;

import com.hdkj.lt.job.service.IDealFeederBaseService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @author rj
 * @date 2025/12/22 15:17
 * @description
 */
@Slf4j
@Component("feederBase")
@RequiredArgsConstructor
public class FeederBaseProcessor  {

    private final IDealFeederBaseService dealFeederBaseService;

    public void noParams(){
        log.info("=====FeederBase定时任务定时任务=====");
        long startTime = System.nanoTime();
        dealFeederBaseService.dealFeederBase();
        long endTime = System.nanoTime();
        log.info("=====FeederBase定时任务定时任务执行完成耗时：{}ms=====", (endTime - startTime) / 1_000_000);
    }
}
